## font-v 2.1.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile
#
fonttools==4.28.2          # via font-v (setup.py)
gitdb==4.0.9              # via gitpython
gitpython==3.1.24          # via font-v (setup.py)
smmap==5.0.0              # via gitdb

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = font-v
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
font-v (2.1.0-3) unstable; urgency=medium

  * debian/python3-font-v.pydist: Add pydist file to indicate that
    this package provides "fontv" module.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 18:28:32 -0500

font-v (2.1.0-2) unstable; urgency=medium

  * debian/font-v.docs: Install upstream README.md.
  * debian/rules: Install upstream-provided CHANGELOG.md.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Feb 2026 18:11:40 -0500

font-v (2.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #995379)

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Jan 2026 16:03:33 -0500

=== debian/control ===
Source: font-v
Section: fonts
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 git <!nocheck>,
 python3-all,
 python3-fonttools,
 python3-gitdb,
 python3-git,
 python3-setuptools,
 python3-smmap,
 python3-pytest <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://github.com/source-foundry/font-v
Vcs-Git: https://salsa.debian.org/fonts-team/font-v.git
Vcs-Browser: https://salsa.debian.org/fonts-team/font-v
Description: Font version string reporting and modification tool
 font-v is an open source font version string library and executable
 for reading, reporting, modifying, and writing OpenType name table
 ID 5 records and head table fontRevision records in *.otf and *.ttf
 fonts.

Package: font-v
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 python3-font-v (= ${source:Version}),
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the font-v executable tool.

Package: python3-font-v
Section: python
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: ${source:Synopsis} (library)
 ${source:Extended-Description}
 .
 This package provides the python3 library for font-v.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = fontv
export PYBUILD_DESTDIR = debian/tmp/

export PYBUILD_BEFORE_TEST =\
	set -e; cd {build_dir}; git init .; git config user.name 'Testuser';\
	git config user.email 'test@example.com'; git add .;\
	git commit -m 'test commit'

export PYBUILD_AFTER_TEST =\
	set -e; rm -rfv --one-file-system {build_dir}/.git

%:
	dh $@ --buildsystem=pybuild

dh_installchangelogs:
	dh_installchangelogs -k CHANGELOG.md

=== debian/watch ===
Version: 5

Template: GitHub
Owner: source-foundry
Project: font-v
